Gda.TreeManager – Gda-6.0 Reference Manual

# TreeManager

## Object Hierarchy:

## Description:

[ CCode ( type_id = "gda_tree_manager_get_type ()" ) ]
public class TreeManager : Object
All known sub-classes:

- TreeMgrColumns
- TreeMgrLabel

- TreeMgrSchemas
- TreeMgrSelect

- TreeMgrTables

Namespace: Gda
Package: Gda-6.0

## Content:

### Properties:

- public TreeManagerNodesFunc func { get; set construct; }
- public bool recursive { get; set construct; }

### Static methods:

- public static Quark error_quark ()

### Creation methods:

- protected TreeManager ()
- public TreeManager.with_func (TreeManagerNodesFunc update_func)

### Methods:

- public void add_manager (TreeManager sub)
- public void add_new_node_attribute (string attribute, Value? value)
- public TreeNode create_node (TreeNode? parent, string? name)
- public unowned SList<TreeManager> get_managers ()
- public void set_node_create_func (TreeManagerNodeFunc? func)

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref